Name: libhugetlbfs
Version: 1.1
Release: 4%{?dist}
Summary: A library which provides easy access to huge pages of memory

Group: System Environment/Libraries
License: LGPLv2+
URL: http://libhugetlbfs.ozlabs.org/ 
Source0: http://libhugetlbfs.ozlabs.org/releases/%{name}-%{version}.tar.gz       
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: kernel-devel glibc-headers
Conflicts: kernel < 2.6.16

Patch0: skip-zerosize-test.diff
Patch1: skip-link-tests.diff

%define ldscriptdir %{_datadir}/%{name}/ldscripts

%description
libhugetlbfs is a library which provides easy access to huge pages of memory.
It is a wrapper for the hugetlbfs file system. Applications can use huge pages
to fulfill malloc() requests without being recompiled by using LD_PRELOAD.
Alternatively, applications can be linked against libhugetlbfs without source
modifications to load BSS or BSS, data, and text segments into large pages.

%package test
Summary: The test suite distributed with libhugetlbfs
Group: System Environment/Libraries
Requires: libhugetlbfs = %{version}-%{release}

%description test
libhugetlbfs is a library which provides easy access to huge pages of memory.
The libhugetlbfs-test package contains the test suite which can be used to
verify correct operation of the libhugetlbfs library.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1 -b .filesz
%patch1 -p1 -b .linktests

%build
# Parallel builds are not reliable
make BUILDTYPE=NATIVEONLY

%install
rm -rf $RPM_BUILD_ROOT
make install PREFIX=%{_prefix} DESTDIR=$RPM_BUILD_ROOT LDSCRIPTDIR=%{ldscriptdir} BUILDTYPE=NATIVEONLY
make install-tests PREFIX=%{_prefix} DESTDIR=$RPM_BUILD_ROOT LDSCRIPTDIR=%{ldscriptdir} BUILDTYPE=NATIVEONLY

# remove statically built libraries:
rm -f $RPM_BUILD_ROOT/%{_libdir}/*.a
# remove unused sbin directory
rm -fr $RPM_BUILD_ROOT/%{_sbindir}/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_libdir}/*.so
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/%{name}/ldscripts/
%doc README HOWTO LGPL-2.1 NEWS

%files test
%defattr(-,root,root,-)
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/tests/

%changelog
* Tue Aug 28 2007 Steve Fox <drfickle@k-lug.org> - 1.1-4
- Skip linking tests until we figure out how to work around BuildID

* Sun Aug 26 2007 Steve Fox <drfickle@k-lug.org> - 1.1-2
- Skip zero_filesize_segment test, as it causes build failures.
  failures.

* Mon Mar 26 2007 Steve Fox <drfickle@k-lug.org> - 1.1-1
- New release (1.1)
- Fix directory ownership

* Wed Aug 30 2006 Steve Fox <drfickle@k-lug.org> - 0.20060825-1
- New release (1.0-preview4)
- patch0 (Makefile-ldscript.diff) merged upstream

* Tue Jul 25 2006 Steve Fox <drfickle@k-lug.org> - 0.20060706-4
- Bump for build system

* Tue Jul 25 2006 Steve Fox <drfickle@k-lug.org> - 0.20060706-3
- Don't use parallel build as it has random failures

* Thu Jul 20 2006 Steve Fox <drfickle@k-lug.org> - 0.20060706-2
- Fix the Makefile so that the ld.hugetlbfs script doesn't store the
  DESTDIR in the path to the ldscripts dir

* Fri Jul 7 2006 Steve Fox <drfickle@k-lug.org> - 0.20060706-1
- New release which includes a fix for the syscall macro removal in the
  Rawhide kernels

* Thu Jun 29 2006 Steve Fox <drfickle@k-lug.org> - 0.20060628-1
- First Fedora package
